package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.EmsObjFlowRel;

import java.util.List;

/**
 * 能源设施能流关系Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public interface EmsObjFlowRelMapper {
    /**
     * 查询能源设施能流关系
     *
     * @param id 能源设施能流关系主键
     * @return 能源设施能流关系
     */
    EmsObjFlowRel selectFlowRelById(Long id);

    /**
     * 查询能源设施能流关系列表
     *
     * @param flowRel 能源设施能流关系
     * @return 能源设施能流关系集合
     */
    List<EmsObjFlowRel> selectFlowRelList(EmsObjFlowRel flowRel);

    /**
     * 新增能源设施能流关系
     *
     * @param flowRel 能源设施能流关系
     * @return 结果
     */
    int insertFlowRel(EmsObjFlowRel flowRel);

    /**
     * 修改能源设施能流关系
     *
     * @param flowRel 能源设施能流关系
     * @return 结果
     */
    int updateFlowRel(EmsObjFlowRel flowRel);

    /**
     * 删除能源设施能流关系
     *
     * @param id 能源设施能流关系主键
     * @return 结果
     */
    int deleteFlowRelById(Long id);

    /**
     * 批量删除能源设施能流关系
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFlowRelByIds(Long[] ids);
}
